BLK_UNPREP_REQUEST(9)

NAME
blk_unprep_request - unprepare a request

SYNOPSIS

void blk_unprep_request(struct request * req);

ARGUMENTS

req
    the request

DESCRIPTION

This function makes a request ready for complete resubmission (or completion). It happens only after all error handling is complete, so represents the appropriate moment to deallocate any resources that were allocated to the request in the prep_rq_fn. The queue lock is held when calling this.

COPYRIGHT